# Copy

|             |                                        |
| ----------- | -------------------------------------- |
| id          | com.naviga.copyArticle                 |
| description | An action to open a copy article modal |

```javascript
import { Plugin, Utility } from '@root'

const MyAwesomeComponent = props => {
    const copyArticle = Utility.useLazyRef(() => {
        return Plugin.getAction('your-bounded-action-id')
    })
    
    /**
        Now the action is bounded to the ref we can call it and pass in the uuid
        of the article we want to copy. This will open up a modal with the article
        and we are able to make changes directly to the copy
        
        copyArticle.current("838d42cf-507a-c701-f46d-6cd0a738cca4")
    */
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/dashboard-writer/5.1.1/developer/develop-with-writer/copy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
